# Welcome to Jekyll!
#
# This config file is meant for settings that affect your whole blog, values
# which you are expected to set up once and rarely edit after that. If you find
# yourself editing this file very often, consider using Jekyll's data files
# feature for the data you need to update frequently.
#
# For technical reasons, this file is *NOT* reloaded automatically when you use
# 'bundle exec jekyll serve'. If you change this file, please restart the server process.

# Site settings
# These are used to personalize your new site. If you look in the HTML files,
# you will see them accessed via {{ site.title }}, {{ site.email }}, and so on.
# You can create any custom variable you would like, and they will be accessible
# in the templates via {{ site.myvariable }}.
title: "Sakrecoer"
email: public@sakrecoer.com
baseurl: "" # the subpath of your site, e.g. /blog
url: "https://sakrecoer.com" # the base hostname & protocol for your site, e.g. http://example.com
instagram_username: sakrecoer
### Values for the jekyll-seo-tag gem (https://github.com/jekyll/jekyll-seo-tag)
logo: /siteicon.png
description: >- # this means to ignore newlines until "baseurl:"
  Sakrecoer Uncorporated Stands for independent fun-loving Activism, Art & Music. I push sounds, images, thoughts and passion for cool robots like you. I am funky and I deliver because I was born tomorrow.
author:
  name: Sakrecoer
  email: public@sakrecoer.com
  twitter: sakrecoer # twitter username without the @ symbol
lang: en_US
social:
  name: twitter
  link: 
    - https://twitter.com/sakrecoer
    - https://instagram.com/sakrecoer
    - https://www.facebook.com/PipersHudvard/
    - https://open.spotify.com/playlist/2EDQlOV0cZe3KHLiSf1nly?si=4iwj3I4ETYqnym8RHXuKMw
### Build settings
plugins:
  - jekyll-sitemap
  - jekyll-seo-tag
  - jekyll-paginate-v2

### Plugin settings:

### excerpt_separator: '<!--more-->'
pagination:
  enabled: true

### collection
collections:
  tracks:
    output: true
    permalink: /music/:title.html

# defaults
# timezone: Europe/Stockholm
permalink: /:categories/:title/ 
defaults:
  - 
    scope:
      path: ""
    values:
      layout: default
#   - 
#     scope:
#       path: ""
#       type: "posts"
#     values:
#       layout: "post"
#       permalink: "/:year/:month/:day/:title/"
#   - 
#     scope:
#       path: ""
#       type: "behandlingar"
#     values: 
#       layout: "post"
#       _options:
#         content:
#           uploads_dir: "images/behandlingar"
#           width: "1200"
#           height: "400"
#           resize_style: "cover"
#         image:
#           uploads_dir: "images/behandlingar"
#           width: "1200"
#           height: "400"
#           resize_style: "cover"
#           mime_type: "image/jpeg"
#           expandable: "true"

exclude: [".rvmrc", ".rbenv-version", "README.md", "Rakefile", "changelog.md", "*.*~", "Gemfile", "Gemfile.lock", ".gitignore" ]
audio_url : 'https://media.sakrecoer.com'
banner: /assets/img/set.png